#
# spec file for package bb
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_ver 1.3rc1
Name:           bb
Version:        1.3~rc1
Release:        2.5
Summary:        Audio-Visual Demonstration for Text Terminal
License:        GPL-2.0-or-later
Group:          Amusements/Toys/Graphics
URL:            https://aa-project.sourceforge.net/bb/
Source:         https://downloads.sourceforge.net/aa-project/bb-%{src_ver}.tar.gz
Patch0:         bb-1.3.0.diff
Patch1:         bb-1.3.0-timer.diff
Patch2:         warn.patch
Patch3:         undefined-operation.diff
Patch4:         bb-1.3.0-no-minilzo-or-builddates.patch
Patch5:         bb-fix-linking.patch
BuildRequires:  aalib-devel
BuildRequires:  automake
BuildRequires:  libmikmod-devel
BuildRequires:  lzo-devel

%description
BB is a high quality audio-visual demonstration for your text terminal.
It is a portable demo, so you can run it on plenty of operating
systems and DOS.

%prep
%autosetup -p0 -n %{name}-1.3.0

%build
autoreconf -fiv
CFLAGS="%{optflags} -fpermissive -DDATADIR='\"%{_datadir}/bb/\"'" \
%configure
%make_build

%install
%make_install

%files
%doc README
%{_bindir}/bb
%{_mandir}/man1/bb.1%{?ext_man}
%dir %{_datadir}/bb
%{_datadir}/bb/*.s3m

%changelog
* Thu Jul 18 2024 Martin Jambor <mjambor@suse.com>
- Build with -fpermissive to work around various C99 violations which
  lead to compiler errors with GCC 14 by default [boo#1228121]
* Mon Apr  8 2024 Atri Bhattacharya <badshah400@gmail.com>
- Use full URL for source.
- Miscellaneous specfile cleanups using spec-cleaner.
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
-  Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Tue Dec  5 2017 crrodriguez@opensuse.org
- Remove unused buildrequires on xorg-x11-devel
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Mon Aug 29 2011 crrodriguez@opensuse.org
- Fix wrong linking
- include <time.h> to avoid warnings.
* Wed Sep 29 2010 cristian.rodriguez@opensuse.org
- Do not use internal minilzo, it turns that it includes
  build dates that causes this package to republish when
  not needed.
* Wed Apr 11 2007 sbrabec@suse.cz
- Require just created libmikmod-devel instead of libmikmod.
* Tue Oct 17 2006 dmueller@suse.de
- reduce BuildRequires
* Thu Jul 20 2006 schwab@suse.de
- Don't run autoconf.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  2 2005 schwab@suse.de
- Fix undefined operation [#136688].
* Wed Jul  6 2005 schwab@suse.de
- Fix missing includes.
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Fri Feb 27 2004 sf@suse.de
-  fixed timers.c
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Jun 12 2003 kukuk@suse.de
- Add missing directory to filelist
* Thu Feb  6 2003 ro@suse.de
- update to 1.3rc1
* Mon Nov 11 2002 schwab@suse.de
- Fix multiline string literals.
* Fri May 31 2002 ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Thu Apr  4 2002 schwab@suse.de
- Use exec instead of system.
- Fix descriptor leaks.
* Wed Apr  3 2002 schwab@suse.de
- Fix sound playing.
- Fix types for portability.
* Thu Aug 30 2001 ro@suse.de
- added slang to neededforbuild
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Mon Dec 11 2000 ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Mon Oct 16 2000 schwab@suse.de
- Fix link order.
* Mon Sep 25 2000 schwab@suse.de
- Add group tag.
* Sun Dec  5 1999 ro@suse.de
- fix to compile on alpha
* Thu Nov 11 1999 schwab@suse.de
- New package
